package com.srs.stureg.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 注册信息
 对象 srs_reg_info
 *
 * @author srs
 * @date 2023-05-25
 */
public class SrsRegInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 注册id */
    private Long registerId;

    /** 用户登录账号 */
    @Excel(name = "用户登录账号")
    private String userId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telphone;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String identyNo;

    /** 人脸头像 */
    @Excel(name = "人脸头像")
    private String faceImage;

    /** 民族 */
    @Excel(name = "民族")
    private String nation;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    private String politicsStatus;

    /** 身高（cm） */
    @Excel(name = "身高", readConverterExp = "c=m")
    private Long height;

    /** 体重(kg) */
    @Excel(name = "体重(kg)")
    private Long weight;

    /** 是否线下报到 */
    @Excel(name = "是否线下报到")
    private String isOffnetCheck;

    /** 线下报到时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "线下报到时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 院系 */
    @Excel(name = "院系")
    private String departments;

    /** 毕业院校 */
    @Excel(name = "毕业院校")
    private String graduateSchool;

    /** 学校所在地 */
    @Excel(name = "学校所在地")
    private String schoolAddress;

    /** 家庭联系人姓名 */
    @Excel(name = "家庭联系人姓名")
    private String familyContactName;

    /** 与本人关系 */
    @Excel(name = "与本人关系")
    private String relation;

    /** 家庭联系人电话 */
    @Excel(name = "家庭联系人电话")
    private String familyContactPhone;

    /** 户籍所在地详细地址
     */
    @Excel(name = "户籍所在地详细地址")
    private String domicileAddress;

    /** 家庭现居地址 */
    @Excel(name = "家庭现居地址")
    private String homeAdress;

    /** 判断是否注册 */
    @Excel(name = "判断是否注册")
    private Long isReg;

    /** 状态（0正常 */
    @Excel(name = "状态", readConverterExp = "状态（0正常")
    private String status;

    @TableField(exist = false)
    private String password;

    public void setRegisterId(Long registerId)
    {
        this.registerId = registerId;
    }

    public Long getRegisterId()
    {
        return registerId;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setTelphone(String telphone)
    {
        this.telphone = telphone;
    }

    public String getTelphone()
    {
        return telphone;
    }
    public void setIdentyNo(String identyNo)
    {
        this.identyNo = identyNo;
    }

    public String getIdentyNo()
    {
        return identyNo;
    }
    public void setFaceImage(String faceImage)
    {
        this.faceImage = faceImage;
    }

    public String getFaceImage()
    {
        return faceImage;
    }
    public void setNation(String nation)
    {
        this.nation = nation;
    }

    public String getNation()
    {
        return nation;
    }
    public void setPoliticsStatus(String politicsStatus)
    {
        this.politicsStatus = politicsStatus;
    }

    public String getPoliticsStatus()
    {
        return politicsStatus;
    }
    public void setHeight(Long height)
    {
        this.height = height;
    }

    public Long getHeight()
    {
        return height;
    }
    public void setWeight(Long weight)
    {
        this.weight = weight;
    }

    public Long getWeight()
    {
        return weight;
    }
    public void setIsOffnetCheck(String isOffnetCheck)
    {
        this.isOffnetCheck = isOffnetCheck;
    }

    public String getIsOffnetCheck()
    {
        return isOffnetCheck;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setDepartments(String departments)
    {
        this.departments = departments;
    }

    public String getDepartments()
    {
        return departments;
    }
    public void setGraduateSchool(String graduateSchool)
    {
        this.graduateSchool = graduateSchool;
    }

    public String getGraduateSchool()
    {
        return graduateSchool;
    }
    public void setSchoolAddress(String schoolAddress)
    {
        this.schoolAddress = schoolAddress;
    }

    public String getSchoolAddress()
    {
        return schoolAddress;
    }
    public void setFamilyContactName(String familyContactName)
    {
        this.familyContactName = familyContactName;
    }

    public String getFamilyContactName()
    {
        return familyContactName;
    }
    public void setRelation(String relation)
    {
        this.relation = relation;
    }

    public String getRelation()
    {
        return relation;
    }
    public void setFamilyContactPhone(String familyContactPhone)
    {
        this.familyContactPhone = familyContactPhone;
    }

    public String getFamilyContactPhone()
    {
        return familyContactPhone;
    }
    public void setDomicileAddress(String domicileAddress)
    {
        this.domicileAddress = domicileAddress;
    }

    public String getDomicileAddress()
    {
        return domicileAddress;
    }
    public void setHomeAdress(String homeAdress)
    {
        this.homeAdress = homeAdress;
    }

    public String getHomeAdress()
    {
        return homeAdress;
    }
    public void setIsReg(Long isReg)
    {
        this.isReg = isReg;
    }

    public Long getIsReg()
    {
        return isReg;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("registerId", getRegisterId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("sex", getSex())
                .append("telphone", getTelphone())
                .append("identyNo", getIdentyNo())
                .append("faceImage", getFaceImage())
                .append("nation", getNation())
                .append("politicsStatus", getPoliticsStatus())
                .append("height", getHeight())
                .append("weight", getWeight())
                .append("isOffnetCheck", getIsOffnetCheck())
                .append("checkDate", getCheckDate())
                .append("departments", getDepartments())
                .append("graduateSchool", getGraduateSchool())
                .append("schoolAddress", getSchoolAddress())
                .append("familyContactName", getFamilyContactName())
                .append("relation", getRelation())
                .append("familyContactPhone", getFamilyContactPhone())
                .append("domicileAddress", getDomicileAddress())
                .append("homeAdress", getHomeAdress())
                .append("isReg", getIsReg())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
